package com.alibaba.druid.sql.dialect.gauss.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.dialect.gauss.visitor.GaussASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class GaussCreateTableAsStatement extends GaussCreateTableStatement {
   private Boolean as;
   private GaussSelectStatement gaussSelectStatement;
   private Boolean withData;
   private Boolean withNoData;

   public Boolean getAs() {
      return this.as;
   }

   public void setAs(Boolean as) {
      this.as = as;
   }

   public GaussSelectStatement getGaussSelectStatement() {
      return this.gaussSelectStatement;
   }

   public void setGaussSelectStatement(GaussSelectStatement gaussSelectStatement) {
      this.gaussSelectStatement = gaussSelectStatement;
   }

   public Boolean getWithData() {
      return this.withData;
   }

   public void setWithData(Boolean withData) {
      this.withData = withData;
   }

   public Boolean getWithNoData() {
      return this.withNoData;
   }

   public void setWithNoData(Boolean withNoData) {
      this.withNoData = withNoData;
   }

   public GaussCreateTableAsStatement() {
      this.dbType = DbType.gauss;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((GaussASTVisitor)visitor);
   }

   public void accept0(GaussASTVisitor visitor) {
      visitor.visit(this);
   }
}
